// Code generated by protoc-gen-go.
// source: shipshape/proto/textrange.proto
// DO NOT EDIT!

/*
Package textrange_proto_go_src is a generated protocol buffer package.

It is generated from these files:
	shipshape/proto/textrange.proto

It has these top-level messages:
	TextRange
*/
package textrange_proto_go_src

import proto "github.com/golang/protobuf/proto"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = math.Inf

// Defines a range of Unicode characters within a text.
// Handles both line-based and character-based ranges.
// Rows and columns are counted one-based. Row 1,
// column 1 refer to the first character in the text.
// If all four fields are set, the span includes a subset of the first and last
// line, but the full inner lines.
type TextRange struct {
	// If 0, then the position is attributed to the entire file and
	// the other fields below are ignored.
	// Must be non-negative.
	StartLine *int32 `protobuf:"varint,1,opt,name=start_line,def=0" json:"start_line,omitempty"`
	// If 0, then the position is attributed to a span of lines, and the field
	// end_column is ignored.
	// If set, a start_line must be given as well.
	// Must be non-negative.
	StartColumn *int32 `protobuf:"varint,2,opt,name=start_column,def=0" json:"start_column,omitempty"`
	// If 0, then defaults to the same value as start_line. This line is included
	// in the range, i.e. the range spans (end_line-start_line+1) lines.
	// If set, a start_line must be given as well.
	// Must be non-negative.
	EndLine *int32 `protobuf:"varint,3,opt,name=end_line,def=0" json:"end_line,omitempty"`
	// If 0, then the position spans until the end of end_line. This column is
	// included in the range, i.e. the range spans (end_column-start_column+1)
	// columns.
	// If set, all other fields must be set as well.
	// Must be non-negative.
	EndColumn        *int32 `protobuf:"varint,4,opt,name=end_column,def=0" json:"end_column,omitempty"`
	XXX_unrecognized []byte `json:"-"`
}

func (m *TextRange) Reset()         { *m = TextRange{} }
func (m *TextRange) String() string { return proto.CompactTextString(m) }
func (*TextRange) ProtoMessage()    {}

const Default_TextRange_StartLine int32 = 0
const Default_TextRange_StartColumn int32 = 0
const Default_TextRange_EndLine int32 = 0
const Default_TextRange_EndColumn int32 = 0

func (m *TextRange) GetStartLine() int32 {
	if m != nil && m.StartLine != nil {
		return *m.StartLine
	}
	return Default_TextRange_StartLine
}

func (m *TextRange) GetStartColumn() int32 {
	if m != nil && m.StartColumn != nil {
		return *m.StartColumn
	}
	return Default_TextRange_StartColumn
}

func (m *TextRange) GetEndLine() int32 {
	if m != nil && m.EndLine != nil {
		return *m.EndLine
	}
	return Default_TextRange_EndLine
}

func (m *TextRange) GetEndColumn() int32 {
	if m != nil && m.EndColumn != nil {
		return *m.EndColumn
	}
	return Default_TextRange_EndColumn
}

func init() {
}
